summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMike Gilbert <floppym@gentoo.org>2019-03-21 00:18:45 -0400
committerMike Gilbert <floppym@gentoo.org>2019-03-21 00:18:45 -0400
commit6c5b8442cca0ee8ba9173106628abcf9a14fc56a (patch)
treed469c8c96b87ce1cf746427e7c52fa956393c1eb /sys-boot/grub/grub-9999.ebuild
parentsys-boot/grub: remove old (diff)
downloadgentoo-6c5b8442cca0ee8ba9173106628abcf9a14fc56a.tar.gz
gentoo-6c5b8442cca0ee8ba9173106628abcf9a14fc56a.tar.bz2
gentoo-6c5b8442cca0ee8ba9173106628abcf9a14fc56a.zip
sys-boot/grub: EAPI 7
Package-Manager: Portage-2.3.62, Repoman-2.3.12_p83 Signed-off-by: Mike Gilbert <floppym@gentoo.org>
Diffstat (limited to 'sys-boot/grub/grub-9999.ebuild')
-rw-r--r--sys-boot/grub/grub-9999.ebuild58
1 files changed, 29 insertions, 29 deletions
diff --git a/sys-boot/grub/grub-9999.ebuild b/sys-boot/grub/grub-9999.ebuild
index c35bda09b14..dea453ed94f 100644
--- a/sys-boot/grub/grub-9999.ebuild
+++ b/sys-boot/grub/grub-9999.ebuild
@@ -1,7 +1,7 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=6
+EAPI=7
if [[ ${PV} == 9999 ]]; then
GRUB_AUTORECONF=1
@@ -64,22 +64,7 @@ REQUIRED_USE="
grub_platforms_loongson? ( fonts )
"
-# os-prober: Used on runtime to detect other OSes
-# xorriso (dev-libs/libisoburn): Used on runtime for mkrescue
-COMMON_DEPEND="
- app-arch/xz-utils
- >=sys-libs/ncurses-5.2-r5:0=
- debug? (
- sdl? ( media-libs/libsdl )
- )
- device-mapper? ( >=sys-fs/lvm2-2.02.45 )
- libzfs? ( sys-fs/zfs )
- mount? ( sys-fs/fuse:0 )
- truetype? ( media-libs/freetype:2= )
- ppc? ( >=sys-apps/ibm-powerpc-utils-1.3.5 )
- ppc64? ( >=sys-apps/ibm-powerpc-utils-1.3.5 )
-"
-DEPEND="${COMMON_DEPEND}
+BDEPEND="
${PYTHON_DEPS}
app-misc/pax-utils
sys-devel/flex
@@ -90,17 +75,6 @@ DEPEND="${COMMON_DEPEND}
media-libs/freetype:2
virtual/pkgconfig
)
- grub_platforms_xen? ( app-emulation/xen-tools:= )
- grub_platforms_xen-32? ( app-emulation/xen-tools:= )
- static? (
- app-arch/xz-utils[static-libs(+)]
- truetype? (
- app-arch/bzip2[static-libs(+)]
- media-libs/freetype[static-libs(+)]
- sys-libs/zlib[static-libs(+)]
- virtual/pkgconfig
- )
- )
test? (
app-admin/genromfs
app-arch/cpio
@@ -118,6 +92,32 @@ DEPEND="${COMMON_DEPEND}
)
truetype? ( virtual/pkgconfig )
"
+COMMON_DEPEND="
+ app-arch/xz-utils
+ >=sys-libs/ncurses-5.2-r5:0=
+ debug? (
+ sdl? ( media-libs/libsdl )
+ )
+ device-mapper? ( >=sys-fs/lvm2-2.02.45 )
+ libzfs? ( sys-fs/zfs )
+ mount? ( sys-fs/fuse:0 )
+ truetype? ( media-libs/freetype:2= )
+ ppc? ( >=sys-apps/ibm-powerpc-utils-1.3.5 )
+ ppc64? ( >=sys-apps/ibm-powerpc-utils-1.3.5 )
+ grub_platforms_xen? ( app-emulation/xen-tools:= )
+ grub_platforms_xen-32? ( app-emulation/xen-tools:= )
+"
+DEPEND="${COMMON_DEPEND}
+ static? (
+ app-arch/xz-utils[static-libs(+)]
+ truetype? (
+ app-arch/bzip2[static-libs(+)]
+ media-libs/freetype[static-libs(+)]
+ sys-libs/zlib[static-libs(+)]
+ virtual/pkgconfig
+ )
+ )
+"
RDEPEND="${COMMON_DEPEND}
kernel_linux? (
grub_platforms_efi-32? ( sys-boot/efibootmgr )
@@ -293,7 +293,7 @@ src_install() {
einstalldocs
if use multislot; then
- mv "${ED%/}"/usr/share/info/grub{,2}.info || die
+ mv "${ED}"/usr/share/info/grub{,2}.info || die
fi
insinto /etc/default